Package: groovy.transform

## [Java] Class Undefined

- groovy.transform.Undefined

-     public final class Undefined
      extends Object

  Java doesn't allow you to have null as an attribute value. It wants you to indicate what you really mean by null, so that is what we do here - as ugly as it is.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `Undefined.CLASS` |
    `static class` | `Undefined.EXCEPTION` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `STRING` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static boolean` | `isUndefined(String other)`
    `` | `public static boolean` | `isUndefined(ClassNode other)`
    `` | `public static boolean` | `isUndefinedException(ClassNode other)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final String STRING

  - ### Method Detail

    - #### public static boolean isUndefined(String other)

    - #### public static boolean isUndefined(ClassNode other)

    - #### public static boolean isUndefinedException(ClassNode other)